if (this.actor.system.status.advantage.value >= 2)
{
    await this.actor.modifyAdvantage(-2);
    this.script.notification("Avantage retiré")
}
else 
{
    return this.script.notification("Avantage retiré", "error")
}

let test = await this.actor.setupTrait(this.item)
await test.roll();